import React from 'react';
import { Modal } from 'antd';
import infoIcon from "./info.svg";
import "./index.less";
var confirm = Modal.confirm;
var Confirm = function Confirm(_ref) {
  var _onOk = _ref.onOk,
    _onCancel = _ref.onCancel,
    _ref$title = _ref.title,
    title = _ref$title === void 0 ? '确认要删除吗？' : _ref$title,
    _ref$modalTitle = _ref.modalTitle,
    modalTitle = _ref$modalTitle === void 0 ? '提示' : _ref$modalTitle,
    content = _ref.content;
  return confirm({
    okText: '确认',
    cancelText: '取消',
    closable: true,
    className: 'ssp-buttom-comfirm-modal',
    title: /*#__PURE__*/React.createElement("div", {
      className: "ssp-button-comfirm"
    }, /*#__PURE__*/React.createElement("span", null, modalTitle), /*#__PURE__*/React.createElement("div", {
      className: "ssp-button-comfirm-title"
    }, /*#__PURE__*/React.createElement("img", {
      src: infoIcon,
      alt: ""
    }), /*#__PURE__*/React.createElement("span", null, title)), /*#__PURE__*/React.createElement("span", null, content)),
    onOk: function onOk() {
      _onOk();
    },
    onCancel: function onCancel() {
      _onCancel && _onCancel();
    }
  });
};
export default Confirm;